import { getSpecifiers } from './getSpecifiers';

import { getImportExportItems, maybeReportSorting, printSortedItems, sortImportExportItems } from '../../../utils/shared';

export function maybeReportChunkSorting(chunk: any, context: any) {
  const isSideEffectImport = () => false;
  const sourceCode = context.getSourceCode();

  const items = getImportExportItems(chunk, sourceCode, isSideEffectImport, getSpecifiers);
  const sortedItems = [[sortImportExportItems(items)]];
  const sorted = printSortedItems(sortedItems, items, sourceCode);

  const { start } = items[0];
  const { end } = items[items.length - 1];

  maybeReportSorting(context, sorted, start, end);
}
